Subject: Re: (setup.ini) autoconf requires Perl?
From: Nicholas Wourms <[email-masked]>
To: "Patrick J. LoPresti" <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 Sep 2002 08:42:39 -0700 (PDT)

--- "Patrick J. LoPresti" <[email-masked]> wrote:
> Nicholas Wourms <[email-masked]> writes:
> 
> > Not in autoconf 2.5x...  This version is totally dependant on
> perl
> > for all generation activities.  So setup is absolutely correct in
> > requiring perl.  AFAIK, there isn't a way to unbundle the perl
> > functionality either.  So my suggestion is to get over your
> dislike
> > of Cygwin perl and install it.  Many people have Cygwin perl and
> > ActiveState co-existing happily...
> > 
> > Quote straight from the autoconf README:
> > "Producing configuration scripts using Autoconf requires GNU M4
> and
> > Perl".
> 
> (CC'ing [email-masked])
> 
> OK, I stand corrected.  We will live with the multiple versions of
> Perl, despite the confusion this can cause.
>

Your best bet is to move the Cygwin perl.exe to a new directory which
isn't in PATH.  Then you can make a wrapper script called "perl",
which resides in bin, that parses the arguments passed to it.  I
haven't used ActiveState myself, but I'm sure there are consistant
differences between the two.  It's just a matter of pinning the
heuristics down.  If you're curious, this type of methodology is how
we allow different versions of autoconf/automake/libtool to exist on
the same machine.
[SNIP]

> P.S. How about renaming Cygwin Perl to "perl" instead of
"perl.exe"?

See above for a better solution, because it is possible there are
circumstances where Cygwin will not recognize an executable binary
without the .exe extension.

Cheers,
Nicholas

__________________________________________________
Do you Yahoo!?
Yahoo! News - Today's headlines
http://news.yahoo.com

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/